Skip to content
Start here

Pay Bad Debt

accounts.pay_bad_debt.create(PayBadDebtCreateParams**kwargs) -> PayBadDebtCreateResponse
POST/accounts/{account_id}/pay-bad-debt

Pays outstanding bad debt for an account. Discovers all debt automatically and handles invoice deduplication.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Identifier

maxLength32
payment_method_id: Optional[str]

The payment method to use. If omitted, the default payment method is used.

ReturnsExpand Collapse
class PayBadDebtCreateResponse:
client_secret: Optional[str]

The Stripe client secret for frontend payment confirmation.

Pay Bad Debt

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
pay_bad_debt = client.accounts.pay_bad_debt.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(pay_bad_debt.client_secret)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "client_secret": "client_secret"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "client_secret": "client_secret"
  },
  "success": true
}